package com.liquidnet.service.goblin.controller;

import com.liquidnet.service.base.ResponseDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(tags = "收钱吧相关")
@RestController
@RequestMapping("/sqb")
public class GoblinShouqianbaController {


    @ApiOperation("下单回调")
    @PostMapping("/order/callback")
    public ResponseDto<Boolean> orderCallback() {
        return ResponseDto.success();
    }

    @ApiOperation("退款回调")
    @PostMapping("/refund/callback")
    public ResponseDto<Boolean> refundCallback() {
        return ResponseDto.success();
    }

    @ApiOperation("券状态回调")
    @PostMapping("/coupon/callback")
    public ResponseDto<Boolean> couponCallback() {
        return ResponseDto.success();
    }

}
